.G-card-box-shadow {
    -webkit-box-shadow: 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
    box-shadow: 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
}
ul > li.nav-link-active-action{display:none;}
ul.active > li.nav-link-active-action{display: block;}

.cursor-pointer{cursor: pointer;}
.pcoded .pcoded-header[header-theme="theme6"], .pcoded .pcoded-header .navbar-logo[logo-theme="theme1"]{background-color: #fff!important;}
.navbar-logo img {
    max-height: 36px;
}
@media (min-width: 992px){
    .mCSB_container_wrapper {
        height: calc(100vh - 98px);
        overflow: auto;
    }
}
.width-auto{width: fit-content !important;}
.o-x-auto{overflow-x:auto !important;}
.o-y-auto{overflow-y: auto !important;}
.o-y-none{overflow-y: none;}
.pcoded .pcoded-header[header-theme="theme1"] .navbar-logo a{color: #404E67;}
/* .pcoded .pcoded-header[header-theme="theme6"] .navbar-logo a{ color: #B119DD; } */
/* Navbar Logo CSS End */
/* Logo CSS Start */
/* .navbar-logo img{max-height: 60px;} */
/* Logo CSS End */
/* Main Header CSS Start */
/* .pcoded .pcoded-navbar .pcoded-item > li > a{line-height: 2.3;} */
.header-notification, .pcoded .pcoded-header[header-theme="theme6"] a, .pcoded .pcoded-header[header-theme="theme6"] .navbar-wrapper .header-search .main-search .input-group .input-group-addon{color: #000;}
/* Main Header CSS End */
nav.pcoded-navbar{max-height: calc(100% - 98px);
    .pcoded-inner-navbar.main-menu{height: 100% !important;}}
/* NavBar CSS Start */
.pcoded .pcoded-navbar .pcoded-item > li > a{ padding-left: 5px!important; padding-right: 5px!important;}
/* Footer CSS Start */
footer{position: fixed; bottom: 0; left: 0; width: 100%; background-color: #fff; color: #333; padding: 10px;z-index: 1028;box-shadow: 0 0 11px rgba(0, 0, 0, 0.13);}
.cust-footer{text-align: right;}
/* Footer Model CSS Start */
.modal-fullscreen-xl {padding: 0 !important;}
.modal-fullscreen-xl .modal-dialog {width: 100%; max-width: none; height: 100%;margin: 0;}
.modal-fullscreen-xl .modal-content {height: 100%; border: 0; border-radius: 0;}
.modal-fullscreen-xl .modal-body {overflow-y: auto;}
::-webkit-scrollbar {width: 0px; height: 0px;}
/* *:hover>::-webkit-scrollbar {height: 3px; position: absolute;} */
::-webkit-scrollbar-ttrack {box-shadow: inset 0 0 5px grey;border-radius: 10px;}
::-webkit-scrollbar-thumb {background: #EEEEEE;border-radius: 10px;}
::-webkit-scrollbar-thumb:hover {background-color: #E0E0E0;box-shadow:inset 0 2px 4px 0 rgba(0, 0, 0, 0.0);}
#APPS-CARD .bg-dark{background-color: #fff!important;}
#APPS-CARD .text-white{color: #2C3E50!important;}
@media (max-width: 768px){
    #APPS-CARD h6{overflow: visible!important;white-space:pre-wrap!important;}
    #APPS-CARD .modal-content{height: calc(100% - 191px)!important; max-height: calc(100% - 191px)!important;overflow: auto;}
}
@media (min-width: 576px){
    #APPS-CARD .modal-sm, #APPS-CARD .modal-dialog{width: 400px!important;max-width: 400px!important;height: calc(100% - 148.5px)!important;overflow: auto;}
    #APPS-CARD .modal-dialog{margin: 106px 0px 0 auto;}
}
#APPS-CARD h6{font-size: 13px;font-weight: 600;line-height: 1.5;letter-spacing: .5px;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
#APPS-CARD .product-box:hover h6{overflow-wrap: break-word;white-space: normal;word-wrap:break-word;color: #1dc9cf;}
/* User Chat List CSS Start */
/* Vertical-Menu-Modal */
#Vertical-Menu-Modal .bg-dark{background-color: #fff!important;}
#Vertical-Menu-Modal h5{color: #2C3E50!important;}
@media only screen and (max-width: 768px) {
    #Vertical-Menu-Modal .modal-content{
      height: calc(80vh);
      max-height: calc(80vh);
  }
  #Vertical-Menu-Modal-close{
    display: block;
    position: fixed;
    font-size: 6vh;
    margin-left: calc(50% - 3vh);
    margin-right: calc(50% - 3vh);
    bottom: 2.5vh;
    color: #fff;
}
}
@media only screen and (min-width: 768px) {
  #Vertical-Menu-Modal .modal-content{
    height: calc(100vh - 148px);
    max-height: calc(100vh - 148px);
}
#Vertical-Menu-Modal .modal-dialog {
  margin: 106px 0px 0px auto;
}
#Vertical-Menu-Modal-close{display: none;}
}
#Vertical-Menu-Modal a{color: rgba(255, 255, 255, 0.75);}
#Vertical-Menu-Modal a:hover{color: rgba(255, 255, 255);}
#Vertical-Menu-Modal .section-separator-label{
    position: absolute;
    top: -10px;
    right: 15px;
    padding: 0px 6px;
    background-color: #343a40;
}
/* User Chat List CSS End */
/* Footer MOdel CSS End */
.dashboard-card-title .card-header h5{
    background-color: rgba(177, 25, 221, .09);
    padding-left: 5px;
    padding-right: 5px;
    border-radius: 3px;
}
.dashboard-card-title table thead th, .dashboard-card-title table tbody td, .report-lateEntry-table tbody td{
    border-top: none!important;
    border-bottom: none!important;
}
.dashboard-card-title table thead th{
    font-weight: 600;
}
.dashboard-card-title table.table tbody td:nth-child(2){
    word-break: break-all;
    text-align: justify;
    white-space: normal!important;
}
.gatpass-table tbody td:nth-child(5){
    word-break: break-all;
    text-align: justify;
    white-space: normal!important;
}
.h-45{
    height: 45vh!important;
}
/* Badge/Label CSS Start */
.visitor, .inward-audit, .outward-audit, .approved, .pending, .amend, .rejected, .closed, .inProgress, .delivered, .pwd, .high, .medium, .low{
    background-color: rgba(234, 85, 111, .09);
    padding-left: 5px;
    padding-right: 5px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}
.inward-audit{
    background-color: rgba(0, 141, 60, .09);
}
.outward-audit{
    background-color: rgba(196, 51, 77, .09);
}
.pending{
    background-color: rgba(254, 147, 101, .2);
}
.inProgress, .low{
    background-color: rgba(254, 147, 101, .3);
}
.approved{
    background-color: rgba(45, 206, 227, .2);
}
.amend{
    background-color: rgba(255, 0, 0, .2);
}
.closed{
    background-color: rgba(0, 128, 0, .2);
}
.delivered, .pwd{
    background-color: rgba(0, 9, 141, .2);
}
.high, .rejected{
    background-color: rgba(255, 0, 0, .4);
}
.medium{
    background-color: rgba(254, 147, 101, .4);
}
.low{
    background-color: rgba(1, 169, 172, .4);
}
.badge-permission{
    background-color: rgba(61, 133, 198, .4);
    padding-left: 5px;
    padding-right: 5px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    color: rgba(61, 133, 198, .9);
}
/* Badge/Label CSS End */
.card{margin-bottom: 10px!important;}
.dashboard-widget .col-auto{
    padding-left: 5px!important;
    padding-right: 1px!important;
}
/* Divider CSS Start */
.decorated {
    overflow: hidden;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px;
}
.decorated > span {
    position: relative;
    display: inline-block;
    color: gray;
}
.decorated > span:before, .decorated > span:after {
    content: '';
    position: absolute;
    top: 50%;
    border: none;
    border-bottom: 1px dashed lightgray;
    height: 1px;
    width: 100vw;
    margin: 0 20px;
}
.decorated > span:before {
    right: 100%;
}
.decorated > span:after {
    left: 100%;
}
/* Divider CSS End */
.f-100{
    font-size: 60px;
}
.bg-yellow{background: linear-gradient(to right, #fecc00, #b119dd);}
.bg-pink{background: linear-gradient(to right, #b119dd, #fecc00);}
.bg-purple{background: linear-gradient(to right, #fecc00, #fff);}
.bg-red{background: linear-gradient(to right, #fff, #ea556f);}
.gallery-desc .icon i{
    border-radius: 50%;
    border: 0.9px dotted #000;
    width: min-content;
    padding: 5px;
}
.report-icon i::before{
    border-radius: 50%;
    background-color: #b119dd;
    width: min-content;
    padding: 5px;
}
.theme-clr-bg .card{
    background: linear-gradient(-30deg,#FECC00 -20%,#EA556F,#B119DD );
    color: #FFF;
    background-repeat: no-repeat;
    background-attachment: fixed;
}
.theme-clr-bg a h5{
    color: #fff;
}
.theme-clr-bg .col-md-4{
    padding-left: 5px;
    padding-right: 5px;
}
.report-table tbody td:nth-child(1), .report-table tbody td:nth-child(3), .report-table tbody td:nth-child(4) {
    word-break: break-all;
    text-align: justify;
    white-space: normal!important;
}
.report-lateEntry-table tbody td:nth-child(2), .stock-transfer-log tbody td:nth-child(2){
    word-break: break-all;
    text-align: justify;
    white-space: normal!important;
}
.requisition-view-table tfoot td:nth-child(1){
    word-break: break-all;
    text-align: justify;
    white-space: normal!important;
}
.home-h6 h6{
    color: #fff!important;
}
.cust-border{
    border-radius: 8px;
    border: 1px solid #b2c2cd;
}
/* Select2 With multiple CSS Start*/
.select2-container--default .select2-selection--multiple .select2-selection__choice{
    background-color:#01a9acb0;
    color: #fff;
}
/* Select2 With multiple CSS End */
/* Rarting CSS Start */
.rating { border: none;float: left;}
.rating > input { display: none; } 
.rating > label:before { margin: 5px;font-size: 1.25em;font-family: FontAwesome;display: inline-block;content: "\f005";}
.rating > .half:before { content: "\f089";position: absolute;}
.rating > label { color: #ddd;float: right; }
.rating > input:checked ~ label, .rating:not(:checked) > label:hover, .rating:not(:checked) > label:hover ~ label { color: #FFD700;  }
.rating > input:checked + label:hover, .rating > input:checked ~ label:hover, .rating > label:hover ~ input:checked ~ label, .rating > input:checked ~ label:hover ~ label { color: #FFED85;  } 
.rating.clr-warning > input:checked ~ label, .rating:not(:checked) > label:hover, .rating:not(:checked) > label:hover ~ label { color: #fe9365;  }
.rating.clr-warning > input:checked + label:hover, .rating > input:checked ~ label:hover, .rating > label:hover ~ input:checked ~ label, .rating > input:checked ~ label:hover ~ label { color: #fbeae7;  } 
.input-group-append > *{padding-top:6px ;padding-bottom:6px ;}
.input-group-addon {
    background-color: #f3f3f3;
    color: #404E67;
}
/* ROW & COL START Left & Right Specing */
.row.x1,.row.x2,.row.x3,.row,.row.x5{
    --bs-gutter-x: .25rem;
}
.row.x1{
    margin-right: calc(var(--bs-gutter-x) * -.5);
    margin-left: calc(var(--bs-gutter-x) * -.5);
}
.row.x1>* {
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
}
.row.x2{
    margin-right: calc(var(--bs-gutter-x) * -1);
    margin-left: calc(var(--bs-gutter-x) * -1);
}
.row.x2>* {
    padding-right: calc(var(--bs-gutter-x) * 1);
    padding-left: calc(var(--bs-gutter-x) * 1);
}
.row.x3{
    margin-right: calc(var(--bs-gutter-x) * -2);
    margin-left: calc(var(--bs-gutter-x) * -2);
}
.row.x3>* {
    padding-right: calc(var(--bs-gutter-x) * 2);
    padding-left: calc(var(--bs-gutter-x) * 2);
}
.row, .row.x4{
    margin-right: calc(var(--bs-gutter-x) * -3);
    margin-left: calc(var(--bs-gutter-x) * -3);
}
.row>*, .row.x4>*{
    padding-right: calc(var(--bs-gutter-x) * 3);
    padding-left: calc(var(--bs-gutter-x) * 3);
}
.row.x5{
    margin-right: calc(var(--bs-gutter-x) * -6);
    margin-left: calc(var(--bs-gutter-x) * -6);
}
.row.x5>* {
    padding-right: calc(var(--bs-gutter-x) * 6);
    padding-left: calc(var(--bs-gutter-x) * 6);
}
/* END ROW & COL */
/* - --  --- Fixed Viewport --- -- - */
.cust-viewport.row::-webkit-scrollbar,.cust-viewport::-webkit-scrollbar {
    display: none;
}
.cust-viewport.row,.cust-viewport{
    min-height: calc(100vh - 130px ) !important; max-height: calc(100vh - 130px ) !important; overflow: auto;
    ::-webkit-scrollbar {
        /* display: none !important; */
    }
}
.cust-viewport.row.no-header,.cust-viewport.no-header{
    min-height: calc(100vh - 98px ) !important; max-height: calc(100vh - 98px ) !important; overflow: auto;
    ::-webkit-scrollbar {
        /* display: none !important; */
    }
}
@media (max-width:992px){
    .cust-viewport.row,.cust-viewport{min-height: calc(100vh - 160px ) !important; max-height: calc(100vh - 160px ) !important;}
    .cust-viewport.row.no-header,.cust-viewport.no-header{min-height: calc(100vh - 98px ) !important; max-height: calc(100vh - 98px ) !important;}
}
/* [> header & menu-horizontal-fixed-cust-master   -   [ ! Default css overwright ] by_AS */
    .card{
        margin-bottom: 1.5rem !important;
        .card-header{
            .card-header-right {padding: 0 !important;}
            padding: 1rem;
        }
        .card-block {
            padding: 1rem;
        }
        .card-footer {
            padding: 1rem;
        }
    }
    @media (min-width:992px){
        nav.navbar.header-navbar {
            /* ===navbar-logo */
            img,img.img-fluid{max-height: 36px!important;}
            
            .navbar-logo{
                max-height: 56px!important;
            }
            .navbar-logo img,.navbar-logo img.img-fluid{max-height: 36px!important;}
        }
    }
    @media (max-width:992px){
        .navbar-logo img,.navbar-logo img.img-fluid{max-height: 38px!important;}
    }
    .main-body {
        .page-wrapper   {
            padding: 0px !important;
            .page-header {padding-top: .25rem !important; padding-bottom: .25rem !important; margin: 0;}
        }
    }
/* Table Action Menu CSS Start */
ul.rounded li{border-radius:6px;}
ul.circle li,.circle{border-radius:100%;}
ul.action-menu{
    width: fit-content;
    > li{
        display: inline-block;border: 1px solid rgba(0, 0, 0, 0.05);text-align: center;
        padding-left:3.5px ; padding-right: 3.5px;
        >a{font-size: 0px !important;}
    }
}
.primary a i{color: #01a9ac !important}
.action-menu li.primary:hover{background-color: #01a9ac1a;border:1px solid #01a9ac1a; }
.warning a i{color: #fe9365 !important}
.action-menu li.warning:hover{background-color: #fe93651a;border:1px solid #fe93651a; }
.default a i{color: #e0e0e0 !important}
.action-menu li.default:hover{background-color: #e0e0e01a;border:1px solid #e0e0e01a; }
.danger a i{color: #fe5d70 !important}
.action-menu li.danger:hover{background-color: #fe5d701a;border:1px solid #fe5d701a; }
.success a i{color: #0ac282 !important}
.action-menu li.success:hover{background-color: #0ac2821a;border:1px solid #0ac2821a; }
.inverse a i{color: #404E67 !important}
.action-menu li.inverse:hover{background-color: #404E671a;border:1px solid #404E671a; }
.info a i{color: #2DCEE3 !important}
.action-menu li.info:hover{background-color: #2DCEE31a;border:1px solid #2DCEE31a; }
.custom a i{color: #64b0f2 !important}
.action-menu li.custom:hover{background-color: #64b0f21a;border:1px solid #64b0f21a; }
.pink a i{color: #ff7aa3 !important}
.action-menu li.pink:hover{background-color: #ff7aa31a;border:1px solid #ff7aa31a; }
.muted a i{color: #919aa3 !important}
.action-menu li.muted:hover{background-color: #919aa31a;border:1px solid #919aa31a; }
.dark a i{color: #2b3d51 !important}
.action-menu li.dark:hover{background-color: #2b3d511a;border:1px solid #2b3d511a; }
.purple a i{color: #9261c6 !important}
.action-menu li.purple:hover{background-color: #9261c61a;border:1px solid #9261c61a; }
.muted a i{color: #919aa3 !important}
.action-menu li.muted:hover{background-color: #919aa31a;border:1px solid #919aa31a; }
/* Table Action Menu CSS End */
#addAddress, #addContact, #addBank{display: none;}
/* #addressList{display:;} */
.background-animated{
    font-size: 80px;
    position: absolute;
    bottom: -18px;
    opacity: 0;
    left: 0px;
}
*:hover>.background-animated{
    opacity: 0.1;
    left: calc(100% - 100px);
    -webkit-transition: all 2.5s ease-in-out;
    transition: all 2.5s ease-in-out;
}

table {
    position: relative !important;
    border-collapse: collapse !important; 
}
thead {
    background: white;
    position: sticky !important;
    top: -1px !important; /* Don't forget this, required for the stickiness */
    box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.4);
}
tr:hover{background-color: rgb(0, 0, 0,.01);}
.dashboard-table{
    max-height: 135px !important;
    .table.table-xl td,
    .table.table-lg td,
    .table.table-de td,
    .table.table-sm td,
    .table.table-xs td,
    .table td,
    .table.table-xl th,
    .table.table-lg th,
    .table.table-de th,
    .table.table-sm th,
    .table.table-xs th,
    .table th {
        padding: 0 0 0 1.5rem;
    }
}
table.table-condensed thead{box-shadow: none;}
tr td i.link-representative{display: none;}
tr:hover td i.link-representative{display: inline-block;position: absolute; left:-1px; margin-left: 3px;background-color: rgb(0, 0, 0,.05);padding: 3px;border-radius: 20px;transition: all .25s ease-in-out;}
i.link-representative:hover{background-color: #fff !important; box-shadow: 0 0px 3px -1px rgba(0, 0, 0, 0.5);}
.ledger-transaction thead th, thead th{vertical-align: middle!important;}

.sm .select2-container .select2-selection--single{height: auto;}
.sm .select2-container--default .select2-selection--single .select2-selection__rendered {line-height:1.5 !important;}
.sm .select2-container .select2-selection--single .select2-selection__rendered{padding-top: 4px;padding-bottom: 4px;}
.sm .select2-container--default .select2-selection--single .select2-selection__arrow{height: 100%;}
.dt-bootstrap4>div:nth-child(2){overflow-x: auto;}
body.dashboard{
    .card{box-shadow: none;}
    .card:hover{
        -webkit-box-shadow: 0 1px 20px 0 rgba(0, 0, 0, 0.3);
        /* box-shadow: 0 1px 20px 0 rgba(69, 90, 100, 0.08); */
        box-shadow: 0 1px 3px -1px rgba(0, 0, 0, 0.3);
        transition: all .5s ease-in-out;
    }}
    .h100-x4{height: calc(100% - 1.5rem);}
    .no-data-found{
      background-image: url("../images/no-data-found.png");
      background-repeat: no-repeat;
      background-position: 50%;
      opacity: .80;
      text-align: center;
  }
  .no-data-found::after{content:"No Data Found";}
  .no-data-found.dashboard-table{min-height: 135px !important; background-size: 100px;}
  .no-data-found.dashboard-chart{min-height: 299px !important; background-size: 150px;}

  .product-desktop{
    .card{background: #ebebeb;box-shadow: none;margin-bottom: 4px!important;transition: all .35s ease-in-out;}
    .card-block{padding: 4px 4px 0 4px;}
    .img-wrapper{border-radius: 50%;padding: 20%;margin: 5%; background-color: #f3f3f3;transition: all .35s ease-in-out;}
    .card-header{padding: 4px;min-height: 35px; line-height:1; text-align: center; font-size: 11px; letter-spacing: .5px;transition: all .35s ease-in-out;}
    *:hover>.card{
        transition: box-shadow 5s ease-in-out;
        transition: all .25s ease-in-out;
        box-shadow: 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15) !important;
        background: white;box-shadow: initial;
        .img-wrapper{background-color: transparent;
            box-shadow:inset 1px 1px 6px -3px rgba(234, 85,111, .25),
            inset -1px 1px 6px -3px  rgba(0, 152,70, .25),
            inset -1px -1px 6px -3px  rgba(188, 63,222, .25),
            inset 1px -1px 6px -3px  rgba(254, 204,0, .25),
            0px 0px 3px 0px  rgba(0,0,0, .1) !important;
            transition: all .25s ease-in-out;}
            .card-header{font-size: 12px;transition: all .25s ease-in-out;}
        }
    }
/* Lifecycle CSS Start */
.arrows {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: stretch;
    width: 80%;
    margin: 0 auto;
    padding: 6px 0;
    position: relative;
    border: 1px dashed red;
}

.arrow {
    width: 33%;
    margin: 0;
    padding: 10px 10px;
    text-align: center;
    position: relative;
}

.arrow:after {
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    content: "";
    height: 0;
    position: absolute;
    right: -17px;
    /* top: 0; */
    width: 0;
    z-index: 2;
}

.arrow:last-child:after {
    border: none;
    right: 0;
}


/* Colour each section. */
.step1 {background-color: #E5461C;}

.step2 {background-color: #C4261E;}

.step3 {background-color: #681010;}


/* Colour the wedge (arrow) */
.arrow.step1:after { border-left: 17px solid #E5461C; }

.arrow.step2:after { border-left: 17px solid #C4261E; }


/* Typography */
.arrow span {
    color: #ffffff;
    position: relative;
}

ul.cp-steps{
    list-style: none;
    display:flex;
    padding-left:0;
}
ul.cp-steps li{
    width:33.33%;
    color:#fff;
    font-size:18px;
    height:38px;
    line-height:39px;
    position:relative;
    text-align:center;
}
ul.cp-steps li:nth-child(1){background:#BBDEFB;}
ul.cp-steps li:nth-child(2){background:#90CAF9;}
ul.cp-steps li:nth-child(3){background:#64B5F6;}
ul.cp-steps li:nth-child(4){background:#42A5F5;}
ul.cp-steps li:nth-child(5){background:#2196F3;}
ul.cp-steps li:nth-child(6){background:#1E88E5;}
ul.cp-steps li:nth-child(7){background:#1976D2;}
ul.cp-steps li:nth-child(1):after{
    content:'';
    position:absolute;
    border-top:19px solid transparent;
    border-bottom:19px solid transparent;
    border-left:19px solid #BBDEFB;
    right:-18px;
    z-index:1;
    top:0;
}
ul.cp-steps li:nth-child(2):after{
    content:'';
    position:absolute;
    border-top:19px solid transparent;
    border-bottom:19px solid transparent;
    border-left:19px solid #90CAF9;
    right:-18px;
    z-index:1;
    top:0;
}
ul.cp-steps li:nth-child(3):after{
    content:'';
    position:absolute;
    border-top:19px solid transparent;
    border-bottom:19px solid transparent;
    border-left:19px solid #64B5F6;
    right:-18px;
    z-index:1;
    top:0;
}
ul.cp-steps li:nth-child(4):after{
    content:'';
    position:absolute;
    border-top:19px solid transparent;
    border-bottom:19px solid transparent;
    border-left:19px solid #42A5F5;
    right:-18px;
    z-index:1;
    top:0;
}
ul.cp-steps li:nth-child(5):after{
    content:'';
    position:absolute;
    border-top:19px solid transparent;
    border-bottom:19px solid transparent;
    border-left:19px solid #2196F3;
    right:-18px;
    z-index:1;
    top:0;
    opacity: .8;
}
ul.cp-steps li:nth-child(6):after{
    content:'';
    position:absolute;
    border-top:19px solid transparent;
    border-bottom:19px solid transparent;
    border-left:19px solid #1E88E5;
    right:-18px;
    z-index:1;
    top:0;
}
@media only screen and (max-width: 767px){
    ul.cp-steps li{
      font-size:15px;
  }
}
@media only screen and (max-width: 350px){
    ul.cp-steps li{
      font-size:13px;
  }
}
/* Lifecycle CSS End */
.c-border{
    border: 1px solid #808080;
    padding: 5px;
    border-radius: 5px;
}
/* = = = = = = = = = = = = >FOR PAGES< | Custom.CSS  = = = = = = = = = = = = */
/* [T] :: -webkit-scrollbar --PENDING.WIP--*/
/* Size */
::-webkit-scrollbar{width: 3px;height: 3px;}
/* Track */
::-webkit-scrollbar-track {background: #f1f1f1;}
/* Handle */
::-webkit-scrollbar-thumb {background: #c1c1c1;border-radius: 100px;}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {background: #59595b;}
.scrlbar-none::-webkit-scrollbar{display: none!important; }
.scrlbar-track-none::-webkit-scrollbar-track{display: none!important;}
.cus-scrlbar-sm::-webkit-scrollbar{width: 2px;height: 2px;}
.cus-scrlbar-lg::-webkit-scrollbar{width: 5px;height: 5px;}
/* [_] :: -webkit-scrollbar */

.taskboard-card {
    -webkit-box-shadow: 0 1px 20px 0 rgba(255, 255, 255, 0);
    box-shadow: 0 1px 20px 0 rgba(255, 255, 255, 0);
    margin-bottom: 30px;
}

.taskboard-card .card {
    border: 1px solid rgba(0, 0, 0, 0.165);
}

.taskboard-card .card-header {
    padding: 0.50rem
}

.taskboard-card .card-block {
    padding: 0.50rem
}

.taskboard-card .card-footer {
    background-color: transparent !important;
}

.taskboard-card .card-block .card {
    margin-bottom: 10px;
}

.member-list {
    display: flex;
}

.TaskBoard-sel {
    background-color: transparent;
    border: none;
    margin: 0px;
    padding: 0px;
    font-size: 16px;
    font-weight: 600;
    color: rgb(0, 0, 0);
    border-bottom: 1px solid #c3c3c3;
}

.TaskBoard-sel:focus {
    background-color: transparent;
    border: none;
    margin: 0px;
    padding: 0px;
    font-size: 16px;
    font-weight: 600;
    color: rgb(0, 0, 0);
    border-bottom: 1px solid #8f8f8f;
}

select.TaskBoard-sel {
    height: fit-content !important;
    width: fit-content !important;
}

.bo-ra {
    border-radius: 5px;
}

.member-list {
    display: flex;
}

/* TaskBoard > MODAL > member grp  */
.member-md {
    border-radius: 50% !important;
    height: 25px !important;
    width: 25px !important;

}

.member-md:hover {
    cursor: pointer;
    margin-left: 0px;
    position: relative;
    transition: margin-left .3s;
    border-radius: 25% !important;
    box-shadow: #c3c3c3;
}

.tb-modal-bt {
    background-color: transparent;
    border: 1px solid rgb(191, 191, 191);
    border-radius: 3px;
    color: rgb(127, 127, 127);
    ;
    margin-bottom: 5px;
    width: 100%;
    text-align: left !important;
    font-size: 14px;
}

.to-do-label:hover {
    background-color: rgb(245, 245, 245);
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.to-do-label .Delete {
    color: transparent;
}

.to-do-label:hover .Delete {
    color: rgb(86, 86, 86);
}

.Delete:hover i {
    color: rgb(0, 0, 0);
    font-size: 16px;
}

.atchmnt {
    word-break: break-all;
    margin-bottom: 10px;
}

.atchmnt-thmbnl {
    height: 100px;
    width: 100%;
    overflow: hidden;
    border-radius: 6px;
}

.section-info {
    text-align: right;
    position: absolute;
    font-size: 25px;
    color: #ffffff;
    top: -8px;
    z-index: 1;
}

.post-input-action {
    position: absolute;
    font-size: 15px;
    right: 15px;
    bottom: 0px;
    z-index: -1;
}

.post-new-contain:focus-within div {
    position: absolute;
    font-size: 20px;
    right: 35px;
    bottom: 0px;
    z-index: 0 !important;
}



/* TaskBoard > MODAL > member grp  */
.member-md {
    border-radius: 50% !important;
    height: 25px !important;
    width: 25px !important;

}

.member-md:hover {
    cursor: pointer;
    margin-left: 0px;
    position: relative;
    transition: margin-left .3s;
    border-radius: 25% !important;
    box-shadow: #c3c3c3;
}

/* TaskBoard > MODAL > member grp  */

.member {
    border-radius: 50%;
    height: 20px;
    width: 20px;
}

.member {
    cursor: pointer;
    margin-left: -10px;
    position: relative;
    transition: margin-left .4s;
}

.member:first-child {
    margin-left: 0;
    z-index: 10
}

.member:nth-child(2) {
    z-index: 9
}

.member:nth-child(3) {
    z-index: 8
}

.member:nth-child(4) {
    z-index: 7
}

.member:nth-child(5) {
    z-index: 6
}

.member:nth-child(6) {
    z-index: 5
}

.member:nth-child(7) {
    z-index: 4
}

.member:nth-child(8) {
    z-index: 3
}

.member:nth-child(9) {
    z-index: 2
}

.member:nth-child(10) {
    z-index: 1
}
.nav-link.active{opacity: 1 !important;}
.nav-link.opacity-90{opacity: .9;}
.nav-link.opacity-80{opacity: .8;}
.nav-link.opacity-70{opacity: .7;}
.nav-link.opacity-60{opacity: .6;}
.nav-link.opacity-50{opacity: .5;}
.nav-link.opacity-40{opacity: .4;}
.nav-link.opacity-30{opacity: .3;}
.nav-link.opacity-20{opacity: .2;}
.nav-link.opacity-10{opacity: .1;}

.task-view a.nav-link.active{color: #343a40;font-weight: 600;opacity: 1;}
.task-view a.nav-link{color: #a3a4a8;}

#Assigned-Users>.row>*>a,#Loop-Members>.row>*>a{opacity: .50;}
#Assigned-Users:hover>.row>*>a,#Loop-Members:hover>.row>*>a{opacity: .75;}
#Assigned-Users:hover>.row>*>a:hover,#Loop-Members:hover>.row>*>a:hover{opacity: 1;}

#Uploaded .card,#Attached-Files .card{box-shadow: none;border: 1px solid #f5f5f5;margin-bottom: 1rem !important;}
#Uploaded .card:hover,#Attached-Files .card:hover{
    -webkit-box-shadow: 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
    box-shadow: 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
    border-color: #00000000;
}
@media(max-width:573px){
    .nav-tabs {
        -webkit-box-shadow: inset 0 1px 3px -1px rgba(60,64,67,.3), inset 0 -3px 3px -5px rgba(60,64,67,.15);
        box-shadow: inset 0 1px 3px -1px rgba(60,64,67,.3), inset 0 -3px 3px -5px rgba(60,64,67,.15);
        border-bottom: none !important;background-color: #f4f5f9;padding: 8px;}
        .nav-tabs .nav-link {border-radius: .25rem;}
        .nav-tabs .nav-link.active{
            -webkit-box-shadow: 0 1px 3px -1px rgba(60,64,67,.3), 0 -3px 3px -5px rgba(60,64,67,.15);
            box-shadow: 0 1px 3px -1px rgba(60,64,67,.3), 0 -3px 3px -5px rgba(60,64,67,.15);}
        }
        @media(min-width:573px){
            .nav-tabs .nav-link.active{
                border-color: transparent;border-radius: .25rem;background-color: white;
                -webkit-box-shadow:inset 0px 1px 3px 0px rgb(0 146 255 / 30%), inset 0px -1px 3px 0px rgb(0 146 255 / 15%);
                box-shadow:inset 0px 1px 3px 0px rgb(0 146 255 / 30%), inset 0px -1px 3px 0px rgb(0 146 255 / 15%);
            }
        }

        span.select2-selection__choice__remove {display: none !important;}
        *:hover > span.select2-selection__choice__remove {
            display: block !important;
            position: absolute;
            background: #EF9A9A;
            font-size: 25px !important;
            padding: 0px;
            margin: -1px 0 0 -6px;
            line-height: 0.7 !important;
            border-radius: 50px;
            width: 23px;
            height: 23px;
            text-align: center;
            border: 2px solid #fff;}

            thead.fc-head{z-index: 2;}

/* [T] :: Adminity Default Color, Label Light Background */
.cus-litebg-label{
    .label {transition: height 2s ;}
    .label-primary {color: #01a9ac!important;background: rgb(1, 169, 172,.08)!important;}
    .label-warning {color: #fe9365 !important; background: rgb(254, 147, 101,.08) !important;}
    .label-muted {color: #e0e0e0 !important; background: rgb(224, 224, 224,.08) !important;}
    .label-default {color: #919aa3 !important; background: rgb(145, 154, 163,.08) !important;}
    .label-danger {color: #fe5d70 !important; background: rgb(254, 93, 112,.08) !important;}
    .label-success {color: #0ac282 !important; background: rgb(10, 194, 130,.08) !important;}
    .label-inverse {color: #404E67 !important; background: rgb(64, 78, 103,.08) !important;}
    .label-info {color: #2DCEE3 !important; background: rgb(45, 206, 227,.08) !important;}
    .label-custom {color: #64b0f2 !important; background: rgb(100, 176, 242,.08) !important;}
    .label-pink {color: #ff7aa3 !important; background: rgb(255, 122, 163,.08) !important;}
    .label-dark {color: #2b3d51 !important; background: rgb(43, 61, 81,.08) !important;}
    .label-purple {color: #9261c6 !important; background: rgb(146, 97, 198,.08) !important;}
}
/* [_] :: Theme Default Color Label Light Background */
/* [T] >PAGE< :: task-board.html*/
/* GENERAL :: [T] */
@media(max-width:768px){
    @media(orientation:landscape){
        .h-scrl > .h-scrl-adjmnt > .card{min-height: calc(100vh - 110px);max-height: calc(100vh - 110px); margin-bottom: 42px !important;}
    }
    @media(orientation:portrait){
        .h-scrl > .h-scrl-adjmnt > .card{min-height: calc(100vh - 135px);max-height: calc(100vh - 135px); margin-bottom: 42px !important;}
    }
    .page-wrapper,.pcoded-inner-content {padding-top: 100px!important;}
}
.page-wrapper,.pcoded-inner-content {padding: 0px 24px 0px!important;}
@media(min-width:768px){
    .h-scrl > .h-scrl-adjmnt > .card{min-height: calc(100vh - 160px);max-height: calc(100vh - 160px);}}
    .h-scrl{overflow: auto!important; white-space: nowrap!important;}
    .h-scrl .h-scrl-adjmnt{display: inline-block!important;white-space: wrap!important;}
    .h-scrl-adjmnt >.card{border: 1px solid rgba(0, 0, 0, 0.1);background-color:transparent;-webkit-box-shadow:none;box-shadow:none;margin-bottom: 1rem !important;}
    .h-scrl-adjmnt:hover >.card{background-color: rgba(255, 255, 255, 0.5);border-color: transparent;
        -webkit-box-shadow: 0 1px 20px 0 rgba(69, 90, 100, 0.08);
        box-shadow: 0 1px 20px 0 rgba(69, 90, 100, 0.08);}
        .h-scrl-adjmnt >.card>.card-block{min-height: 100px;}
        .portlet-placeholder {
            border: 1px dashed rgb(202, 202, 202);
            background-color: rgb(224, 245, 253);
            border-radius: 5px;
            margin: 0 0 .5rem 0;
            height: 33px;
        }
        .portlet>.card{margin-bottom: .5rem !important;}
/* GENERAL :: [T] */
/* [_] >PAGE< :: */

label i.feather.icon-trash.remove-action{display: none;}
label:hover i.feather.icon-trash.remove-action{display: inline-block;}
.form-radio label.fmtg-clr{line-height: initial;padding: 4px 8px 4px 8px;margin-bottom: 4px;}
.radio .helper.fmtg-clr::after, .radio .helper.fmtg-clr::before {margin: 2px 0 2px 7px; display: none;}
.form-radio:hover label.fmtg-clr{line-height: initial;padding: 4px 8px 4px 26px;margin-bottom: 4px;}
*:hover>.radio .helper.fmtg-clr::after, *:hover>.radio .helper.fmtg-clr::before {display: block;}


input[type="datetime-local"]::-webkit-calendar-picker-indicator {
    color: transparent;
    background: none;
    z-index: 1;
}
input[type="datetime-local"]::after {
    font-family: 'FontAwesome';
    content: '\f073';
    font-size: 14px;
    /* This is the calendar icon in FontAwesome */
    width: auto;
    height: auto;
    position: absolute;
    top: 10px;
    right: 27px;
    color: #ccc;
}
.to-do-label .checkbox-fade .delete_todo {
    opacity: 0;
    font-size: 12px;
    background: rgb(255 0 0 / 15%);
    color: rgb(255 0 0 / 35%);
    border-radius: 50px;
    padding: 4px;
    -webkit-transition: all 0.3s ease-in;
    transition: all 0.3s ease-in;
}
.to-do-label:hover .checkbox-fade .delete_todo {
    opacity: 1;}
    .bord-light{opacity: 0.05;}
    .overflow-wrap{
        text-overflow: ellipsis;
        white-space:wrap;
    }
    .overflow-wrap::after {
        content: " ";
        display: block;
        width: 0;
        height: 0;
        line-height: 0;
    }
    input[type="file"].form-control-sm{padding-left: 6px;}
    input.form-control-sm::-webkit-file-upload-button{padding: 3px 6px !important;line-height: 1; height: 100%;border: none;border-radius: 25px;margin: 0 10px 0 0;}

    .product-master{position: absolute; height: calc(100% - 32px);opacity: .2; right: 16px; bottom: 16px;}
    .mh100pr{min-height: 100% !important;}
    .h100pr{height: 100% !important;}
    .Mh100pr{max-height: 100% !important;}
    .Mh100vh{max-height: 100vh !important;}
    .CourseContentList{max-height: 365px !important;}
/* S :: training/explore.html */

.fluid-ms + .ms-container{ width: 100% !important;}
.border-bottom-1{
    border-bottom: 1px solid #ccc !important;
}
/* HR Module CSS Start */
/* Dashboard Start */

/* HR Module CSS End */

@media only screen and (max-width: 992px){
    .card-title {
        margin-bottom: 0px !important;
    }}

/* STR ||||> | Workflow | <||| */

.workflow .accordion-msg {border-top:none}
.flow-down hr{rotate: 90deg;margin: 0;opacity: 1;border: 1px solid #c1c2c6!important;height: 0;}
.flow-down{
    background-color: #f6f7fb;
    overflow: hidden;
    position: relative;
}
#accordion .flow-down i.ti-arrow-down{
    color: #65666a;
    text-shadow: 0px 0px 1px #c1c2c6;
}

/* FLOW CHART CSS ::: DnM */
.card.FLOW-CHART{max-height: calc(100vh - 146px);overflow-x: scroll;}
.tree a,.tree ul,.tree li{text-wrap:nowrap;}
.FLOW-CHART .row{
    min-width: fit-content;
    display: flex;
    flex-wrap: nowrap;
    min-height: fit-content;
}
.FLOW-CHART .row>*{min-width: fit-content;}
.tree ul {
    width: -webkit-fill-available;
    padding-top: 20px; position: relative;
    display: -webkit-box;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
}

.tree li {
    width: -webkit-fill-available;
    float: left; text-align: center;
    list-style-type: none;
    position: relative;
    padding: 20px 0px 0 0px;
    
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
}

/*We will use ::before and ::after to draw the connectors*/
.tree li::before, .tree li::after{
	content: '';
	position: absolute; top: 0; right: 50%;
	border-top: 1px solid #f0f0f0;
	width: 50%; height: 20px;
}

.tree li::after{
	right: auto; left: 50%;
	border-left: 1px solid #f0f0f0;
}

/*We need to remove left-right connectors from elements without 
any siblings*/
.tree li:only-child::after, .tree li:only-child::before {
	display: none;
}
/*Remove space from the top of single children*/
.tree li:only-child{ padding-top: 0;}

/*Remove left connector from first child and 
right connector from last child*/
.tree li:first-child::before, .tree li:last-child::after
{
	border: 0 none;
}
/*Adding back the vertical connector to the last nodes*/
.tree li:last-child::before,.tree ul>*:last-child::before{
	border-right: 1px solid #f0f0f0;
	border-radius: 0 5px 0 0;
	-webkit-border-radius: 0 5px 0 0;
	-moz-border-radius: 0 5px 0 0;
}
.tree li:first-child::after,.tree ul>*:first-child::after {
	border-radius: 5px 0 0 0;
	-webkit-border-radius: 5px 0 0 0;
	-moz-border-radius: 5px 0 0 0;
}

/*Time to add downward connectors from parents*/
.tree ul ul::before{
	content: '';
	position: absolute; top: 0; left: 50%;
	border-left: 1px solid #f0f0f0;
	width: 0; height: 20px;
}

.tree li a{
	border: 1px solid #f0f0f0;
	padding: 5px 10px;
	text-decoration: none;
	color: #979797;
	font-family: arial, verdana, tahoma;
	font-size: 11px;
	display: inline-block;
	
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	
	transition: all 0.5s;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
}

/*Time for some hover effects*/
/*We will apply the hover effect the the lineage of the element also*/
.tree li a:hover, .tree li a:hover+ul li a {
	background: rgb(189, 221, 250,.5); color: #90cbf9; border: 1px solid rgb(188, 222, 251,.5);
}

/*Connector styles on hover*/
.tree li a:hover+ul li::after, 
.tree li a:hover+ul li::before, 
.tree li a:hover+ul::before, 
.tree li a:hover+ul ul::before{
	border-color:  rgb(188, 222, 251,.5);
}
/* FLOW CHART CSS ::: DnM */
.FLOW-STEP.done>a{color: #dedede;}
.FLOW-STEP.done .FLOW-STEP-INFO.done i{color: rgb(19,115,51);}
.FLOW-STEP.FLOW-STEP-NEGATIVE>a>span.FLOW-STEP-INFO i{background-color: #fe5d70; color: white;padding: 1px;}
.FLOW-STEP.FLOW-STEP-NEGATIVE>a{border-color: rgb(255, 92, 111,.10);background-color: rgb(255, 92, 111,.05);color: rgb(255, 92, 111)}
.FLOW-STEP.FLOW-STEP-POSITIVE>a>span.FLOW-STEP-INFO i{background-color: #0ac282; color: white;padding: 1px;}
.FLOW-STEP.FLOW-STEP-POSITIVE>a{border-color: rgb(10, 194, 130,.10);background-color: rgb(10, 194, 130,.05);color: rgb(10, 194, 130)}
.FLOW-STEP.active>a{color: #3c3c3c;}
.FLOW-STEP-INFO {
    position: absolute;
    top: 0;
    margin-top: -5.5px;margin-left: 4px;
    border-radius: 50px;
}

.FLOW-STEP-INFO i{
    background-color: #fff;border-radius: 50px;}

    .FLOW-STEP.active>a{animation: blue-blink 1.5s linear infinite; padding: 0 10px;}
    @keyframes blue-blink {
        0% {
            -webkit-box-shadow: 0 0 0 1px rgba(20,115,232,.80);
            box-shadow: 0 0 0 1px rgba(20,115,232,.80);
        }
        25% {
            -webkit-box-shadow: 0 0 0 2px rgba(20,115,232,.60);
            box-shadow: 0 0 0 2px rgba(20,115,232,.60);

        }
        50% {
            -webkit-box-shadow: 0 0 0 3px rgba(20,115,232,.40);
            box-shadow: 0 0 0 3px rgba(20,115,232,.40);
        }
        75% {
            -webkit-box-shadow: 0 0 0 4px rgba(20,115,232,.20);
            box-shadow: 0 0 0 4px rgba(20,115,232,.20);
        }
        100% {
            -webkit-box-shadow: 0 0 0 5px rgba(20,115,232,0);
            box-shadow: 0 0 0 5px rgba(20,115,232,0);
        }
    }
/* .FLOW-STEP-INFO.done .icon-check-circle {display: contents !important;} */
/* END ||||> | Workflow | <||| */
/* Job Portal CSS Start */
.job-client-logo {
    height: 35px;
    width: 35px;
    overflow: hidden;
}
.bg-custom-lx4{
    background-color: #f5e3fa;
}
.btn-custom, .btn-custom:hover {
    color: #ffffff;
    background-color: rgb(177, 25, 221);
    border-color: rgba(177, 25, 221);
}
.not-interested-circle {
    border-radius: 100px;
    padding: 8px 9px;
}
.btn-outline-custom {
    color: #b119dd;
    background-color: transparent;
    background-image: none;
    border-color: #b119dd;
}
.btn-outline-custom:hover {
    color: #fff;
    background-color: #b119dd;
    border-color: #b119dd;
}
.job-favorite {
    border-radius: 100px;
    padding: 8px 9px;
    border-color: #EF9A9A!important;
    color: #EF9A9A!important;
}
.job-favorite:hover {
    border-color: #b119dd!important;
    color: white!important;
}
.job-client-info {
    margin: 10px 0px;
}
.outer-ellipsis {
    width: auto;
}
.job-client-info h6, .job-client-details h6 {
    margin: 0px;
}
.job-client-label {
    margin-bottom: 10px;
}
.label-custom-bg {
    background-color: #f5e3fa;
    color: #a300d6!important;
    text-transform: capitalize;
    letter-spacing: 0.25px;
}
.label-lightgray-bg {
    background-color: #EEEEEE;
    color: #757575!important;
}
@media only screen and (max-width: 768px) {
    .MQM6-hide {
        display: none;
    }
}
/* Job Portal CSS End */

/* HR Report CSS Start */
.table.table-xs.outduty-table td, .table.table-xs.outduty-table th {
    padding: 0.4rem 0.5rem;
}
.outduty-table tbody td:nth-child(8){
    text-align: justify;
    white-space: normal!important;
    line-height: 150%!important;
    font-size: 14px!important;
}
.bank-accounts-table th{line-height: 0;}
.bank-accounts-table.th_on_hover:hover th{display: table-cell;}
.bank-accounts-table.th_on_hover th{display: none;}


/* Data-Table */
.VH-RESPONSIVE div.table-responsive>div.dataTables_wrapper>div.row>div[class^="col-"]:first-child {
    max-height: 410px !important;
}
div.dataTables_wrapper div.dataTables_length select {border: none;width: fit-content !important;padding: 0;}
div.dataTables_wrapper div.dataTables_filter input {border-radius: 6px;}
/* Data-Table */


/*NEW*/

.b-b-none{
    border-bottom:none!important;
}
.blink-text{
    animation: blinker 1s linear infinite;
}
@keyframes blinker {
    50% {
      opacity: 0;
  }
}
.sub-title {
    text-transform: none;
}

.t-v-m {
    vertical-align: middle !important;
}
.activityTable td {
    padding-left: 2px !important;
    padding-right: 2px !important;
}
.w-160px {
    min-width: 160px;
}
.w-150px {
    min-width: 150px;
}
.w-200px {
    min-width: 200px;
}
.pcoded-content {
    background-image: url(../images/wallpaper.jpg);
}
@media only screen and (max-width: 600px) {
    .pcoded-content {
        background-image: none !important;
    }
}
#no-background {
    background-image: none;
}

.pcoded[theme-layout="vertical"] .pcoded-navbar .pcoded-item>li>a{padding: 4px 15px; !important}
